Description

When create/edit issue, in description area, we can only insert image URL.

It's better if you can make Redmine posible to insert any file to description.

Maybe it can be associated with Files module, users can choose files and those files is uploaded to Redmine, and the links will be

inserted to description.

Why don't you support pure HTML-style editor? CKEditor is good.

Related issues:

Related to Redmine - Feature #26071: Generate markup for uploaded image dropp... Closed

History

#1 - 2014-07-10 12:57 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

Perhaps I'm getting you wrong, but you can already use images in the descriptions, you just need to attach a file and then refer to it using

!attached_image!

 You can not directly paste images into browsers, that's an inherent limitation...

#2 - 2014-07-10 13:12 - Thanh Trinh

I know I can upload files to redmine first, then use the link of the files.

But it cost time. Users want a browse-file dialog and then redmine should attach selected files to description without intermediate  steps.

That's just my idea. That may bring more convinient to users. Do it if you can :D

#3 - 2014-07-10 21:31 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to New

IIRC, this is possible with a plugin, although it required Java. I don't recall the name though....

#4 - 2015-06-20 06:59 - Chris Burgess

- File ouch.png added

Testing the advice in comment 1, I didn't realise that was supported.

Edit: Eg to display the image attached, I enter !ouch.png! in my comment. Great. So it's not literal !attached_image! you want, but instead using the

uploaded filename.

For ages I've been doing this the long way, uploading image then getting the absolute URL and going back to edit my images in - thanks Jan!

#5 - 2017-07-29 09:40 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Redmine 3.4.0 automatically inserts !image! markup when you attach an image by using drag and drop. See #26071 for details. Maybe it is useful for

you.
https://www.redmine.org/issues/26071


#6 - 2017-07-29 09:40 - Go MAEDA

- Related to Feature #26071: Generate markup for uploaded image dropped into wiki-edit textarea added

Files

ouch.png 203 KB 2015-06-20 Chris Burgess
